import { basicInputConfigureOptions } from '../../input-configure-options'
import { fileTypeList } from './upload'

export default {
  ...basicInputConfigureOptions(),
  limit: {
    type: 'number',
    label: '文件数量限制',
    min: 0
  },
  size: {
    type: 'number',
    label: '文件大小限制(MB)',
    controlsPosition: 'right',
    defaultValue: 500,
    min: 0,
    max: 500
  },
  fileType: {
    type: 'select',
    multiple: true,
    label: '文件类型',
    options: fileTypeList
  },
  formwork: {
    label: '模板',
    type: 'file',
    limit: 1,
    dependOn: ['fileType'],
    changeConfig: (config, { fileType }) => {
      if (fileType) config.fileType = fileType
      return config
    },
    fileType: fileTypeList.join(',')
  },
  required: { },
  requiredErrorMessage: { }
}
