import { h, withDirectives } from 'vue'
import textareaDirectives from '@cip/components/directives/textarea'
import { formInputViewProps, useFormView } from '@cip/components/helper/form-input'
export default {
  props: formInputViewProps,
  setup (props) {
    const { width, inputStyle } = useFormView(props)
    return () => withDirectives(h('div', { style: { ...inputStyle.value, width: width.value } }), [[textareaDirectives, props.modelValue]])
  }
}
