# v3.x迁移指南

## v2.x至v3.x破坏性更新

### 不支持原有的vuex写入用户数据、菜单、平台名称

#### 处理方案

- 用户信息有components组件提供store
- 菜单数据、平台名称在使用Main组件时再传入
  - 删除main/index.vue中: ?? store.state.app.platformMenu
  - 在项目中给 import CipMain from '@cip/components/main/index.vue' 组件下发数据 <cip-main :nav-menu="$store.state.app.platformMenu">
- cip-cli主要修改部分
  - 删除项目部分store文件夹
  - render/index.js 删除 vuex 的注册(.use(store))
  - render/auth.js的store引入来源修改为@cip/components/store




### 移除组件库对@/api文件的依赖

- cip-form-input/basic/file/upload.js 移除内置的默认的文件上传方法 File.upload
  - 原功能由cip-config-provide 的fileUpload属性代替
  - cip-cli主要修改部分
    - App.vue中的添加属性<cip-config-provide :fileUpload="File.upload">
- cip-form-input/request 文件夹内组件迁移
  - 见 数据字典组件 dataDirectory 迁移
- main/header-bar/index.vue 移除内置的accountService.logout方法
  - 原功能由cip-config-provide 的logout属性代替
  - cip-cli主要修改部分
    - App.vue中的添加属性<cip-config-provide :logout="accountService.logout">

### 数据字典组件 dataDirectory 迁移 

- cip-form-input/request/data-directory 迁移至 @cip/plugins/form/form-input/request/data-directory
- cip-cli主要修改部分
  - 若项目中存在 type: 'dataDirectory' 的使用则d-render-config.js修改

```javascript
export default {
  components: {
    // 加入此行代码 此组件需要@/api及@/api/entity中特定属性的支持具体请查询组件说明
    dataDirectory: (mode) => () => import('@cip/plugins/form/form-input/request/data-directory')
  }
}
// or 【2022-06-28新增】
import dataDictionaryCompMap from '@cip/plugins/form/form-input/request/data-dictionary/component-map'
export default {
  components: {
    // 加入此行代码 此组件需要@/api及@/api/entity中特定属性的支持具体请查询组件说明
    dataDirectory: dataDictionaryCompMap
  }
}
```

### 去除styles/variate.less :export部分内容

### [2022-06-06] cip-table 暴露table组件实例的方式由原来的instance.ctx修改为expose 
- 此修改将导致原来的tableRef.value.cipTableRef.value => 修改为tableRef.value.cipTableRef
  - 若项目中由使用到cipTable的ref去除cipTableRef后面的.value

### [2022-06-28] cip-form-item 及 cip-form-input 重构
- 不在支持emit('update:modelValue',xxx)及emit('update:otherValue',xxx)对数据的更新
- 此修改将导致自定义input组件被使用values + updateStream 的方式更新数据
- 去除自定义input组件中的model数据下发
- input数据修改使用 proxyValue 以及 proxyOtherValue
- 【注但即将在下个版本废弃】目前仍兼容emitModelValue及emitOtherValue进行数据的修改

### [2022-07-12] cip-dialog confirm 正确的执行完成后的返回结果由true修改为onConfirm resolve 返回的数据

### [2022-07-19] cip-form-renderer 暴露组件实例的方式由原来的instance.ctx修改为expose 
- 若项目中由使用到cip-form-renderer的ref，expose会自动解构，去除cipFormRef后面的.value
